## jcifs.smb
Class SmbAuthException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--jcifs.smb.SmbException
                              |
                              +--jcifs.smb.SmbAuthException

All Implemented Interfaces:
  jcifs.smb.DosError, jcifs.smb.NtStatus, java.io.Serializable, jcifs.smb.WinError

public class SmbAuthException
extends SmbException

The `SmbAuthException` encapsulates the variety of authentication related error codes returned by an SMB server.

See jCIFS Exceptions and NtlmAuthenticator for more information about `SmbAuthException`.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface jcifs.smb.NtStatus

`NT_STATUS_ACCESS_DENIED, NT_STATUS_ACCESS_VIOLATION, NT_STATUS_ACCOUNT_DISABLED, NT_STATUS_ACCOUNT_LOCKED_OUT, NT_STATUS_ACCOUNT_RESTRICTION, NT_STATUS_BAD_NETWORK_NAME, NT_STATUS_CANNOT_DELETE, NT_STATUS_CODES, NT_STATUS_DELETE_PENDING, NT_STATUS_FILE_IS_A_DIRECTORY, NT_STATUS_INSTANCE_NOT_AVAILABLE, NT_STATUS_INVALID_HANDLE, NT_STATUS_INVALID_INFO_CLASS, NT_STATUS_INVALID_LOGON_HOURS, NT_STATUS_INVALID_PIPE_STATE, NT_STATUS_INVALID_WORKSTATION, NT_STATUS_LOGON_FAILURE, NT_STATUS_LOGON_TYPE_NOT_GRANTED, NT_STATUS_MESSAGES, NT_STATUS_NO_SUCH_FILE, NT_STATUS_NO_SUCH_USER, NT_STATUS_NOT_A_DIRECTORY, NT_STATUS_NOT_IMPLEMENTED, NT_STATUS_OBJECT_NAME_COLLISION, NT_STATUS_OBJECT_NAME_INVALID, NT_STATUS_OBJECT_NAME_NOT_FOUND, NT_STATUS_OBJECT_PATH_NOT_FOUND, NT_STATUS_OBJECT_PATH_SYNTAX_BAD, NT_STATUS_OK, NT_STATUS_PASSWORD_EXPIRED, NT_STATUS_PATH_NOT_COVERED, NT_STATUS_PIPE_BROKEN, NT_STATUS_PIPE_BUSY, NT_STATUS_PIPE_CLOSING, NT_STATUS_PIPE_DISCONNECTED, NT_STATUS_PIPE_LISTENING, NT_STATUS_PIPE_NOT_AVAILABLE, NT_STATUS_PORT_DISCONNECTED, NT_STATUS_SHARING_VIOLATION, NT_STATUS_UNSUCCESSFUL, NT_STATUS_WRONG_PASSWORD`

Fields inherited from interface jcifs.smb.DosError
`DOS_ERROR_CODES, DOS_ERROR_MESSAGES`

Fields inherited from interface jcifs.smb.WinError
`ERROR_BAD_PIPE, ERROR_MORE_DATA, ERROR_NO_BROWSER_SERVERS_FOUND, ERROR_NO_DATA, ERROR_PIPE_BUSY, ERROR_PIPE_NOT_CONNECTED, ERROR_REQ_NOT_ACCEP, ERROR_SUCCESS, WINERR_CODES, WINERR_MESSAGES`

Methods inherited from class jcifs.smb.SmbException
`getNtStatus, getRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`